textures/surefall/surefall
{
    q3map_lightimage textures/surefall/surefall.tga
    qer_editorimage textures/surefall/surefall.tga
    q3map_surfacelight 200
    surfaceparm noimpact
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm sky
    q3map_sun 1 1 1 200 23 58
    skyParms env/surefall 512 -
}

textures/surefall/waterfall
{
	qer_editorimage textures/surefall/eqpooltest.tga
	q3map_globaltexture
	surfaceparm trans
	//surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm water
	surfaceparm nolightmap
	tessSize 64
	cull disable
	deformVertexes wave 64 triangle 1 3 .1 .8
	
	{
		map textures/surefall/eqpool3d_3e.tga
		blendfunc GL_DST_COLOR GL_SRC_COLOR		
		tcMod scale 1.0 2.0
		tcMod turb .1 .05 .25 .08
		tcMod scroll .8 -.125
	}
          
          { 
  map textures/surefall/eqpool3d_6b.tga 
  blendfunc GL_DST_COLOR GL_ONE 
  tcMod scale .5 .5 
  tcMod turb .1 .075 .5 .05 
  tcMod scroll 1. .1 
 } 
  

} 

textures/surefall/eqwater1f
{
    qer_trans 0.25
    surfaceparm nolightmap
    surfaceparm trans
    surfaceparm water
    surfaceparm pointlight
    deformVertexes wave 100 sin 0 4 0 0.75
    tessSize 192
    {
        map textures/surefall/eqwater1f.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
        tcMod scroll 0.05 -0.03
    }
    {
        map textures/surefall/eqwater1f.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
        tcMod scroll 0.045 0.05
    }
}

textures/surefall/tree1
{
        qer_editorimage textures/surefall/tree1.tga
    	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm nonsolid
   	surfaceparm noimpact
	surfaceparm nomarks
	cull none
        nopicmip
	{
		map textures/surefall/tree1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/surefall/tree2
{
        qer_editorimage textures/surefall/tree2.tga
    	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm nonsolid
   	surfaceparm noimpact
	surfaceparm nomarks
	cull none
        nopicmip
	{
		map textures/surefall/tree2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


textures/surefall/tree3
{
        qer_editorimage textures/surefall/tree3.tga
    	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm nonsolid
   	surfaceparm noimpact
	surfaceparm nomarks
	cull none
        nopicmip
	{
		map textures/surefall/tree3.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}